"""project items

Revision ID: 517ff0db11f7
Revises: 3a3f32feff20
Create Date: 2015-11-19 11:35:00.990998

"""

# revision identifiers, used by Alembic.
revision = '517ff0db11f7'
down_revision = '3a3f32feff20'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('project_items',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('project_id', sa.Integer(), nullable=False),
    sa.Column('itemtype', sa.UnicodeText(), nullable=True),
    sa.Column('content', sa.UnicodeText(), nullable=True),
    sa.ForeignKeyConstraint(['project_id'], ['project.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.drop_table('extension_database')
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('extension_database',
    sa.Column('extension_name', sa.Unicode(length=255), nullable=False),
    sa.Column('data', sa.Text(), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('extension_name'),
    )
    op.drop_table('project_items')
    ### end Alembic commands ###
